- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# panos_lic – apply authcode to a device/instance

- DEPRECATED

- Synopsis

- Requirements

- Parameters

- Examples

- Return Values

- Status

## DEPRECATED

Removed in Ansible

  version: 2.12

Why

  Consolidating code base.

Alternative

  Use https://galaxy.ansible.com/PaloAltoNetworks/paloaltonetworks instead.

## Synopsis

- Apply an authcode to a device.

- The authcode should have been previously registered on the Palo Alto Networks support portal.

- The device should have Internet access.

## Requirements

The below requirements are needed on the host that executes this module.

- pan-python

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
auth_code - / required |  | authcode to be applied
force boolean | Choices: no ← yes | whether to apply authcode even if device is already licensed
ip_address string / required |  | IP address (or hostname) of PAN-OS device.
password string / required |  | Password for authentication.
username string | Default: "admin" | Username for authentication.

## Examples

    - hosts: localhost
      connection: local
      tasks:
        - name: fetch license
          panos_lic:
            ip_address: "192.168.1.1"
            password: "paloalto"
            auth_code: "IBADCODE"
          register: result
    - name: Display serialnumber (if already registered)
      debug:
        var: "{{result.serialnumber}}"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
serialnumber string | success | serialnumber of the device in case that it has been already registered Sample: 973080716

## Status

- This module will be removed in version 2.12. [deprecated]

- For more information see DEPRECATED.

### Authors

- Luigi Mori (@jtschichold), Ivan Bojer (@ivanbojer)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.